<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Gitlab credentials | MOOC Recherche Reproductible</title>
    <style>
        *{
            box-sizing: border-box;
        }
        html{
            font-size: 10px;
        }
        body{
            font: 1.6rem/1.2 sans-serif;
        }

        .box{
            max-width: 50rem;
            margin: 5rem auto;
            padding: 1.5rem;
            box-shadow: 0 0 0 1px #e5e5e5;
            border-radius: 3px;
        }

        .box h1{
            margin: -1.5rem -1.5rem 1.5rem -1.5rem;
            padding: 1.5rem;
            font-size: 2rem;
            font-weight: 600;
            text-align: center;
            border-bottom: 1px solid #e5e5e5;
        }

        .box label{
            display: block;
            margin-bottom: 5px;
            font-size: 0;
        }

        .box span{
            display:inline-block;
            vertical-align: middle;
            width: 140px;
            font-size: 1.6rem;
        }

        .box input{
            display:inline-block;
            vertical-align: middle;
            width: calc(100% - 140px);
            padding: .5rem;
            font:inherit;
            font-size: 1.4rem;
            border: 1px solid #dfdfdf;
        }

        .box a{
            display:block;
            margin-top: 2rem;
            padding: 0.5rem;
            text-align: center;
            font-size: 1.4rem;
            line-height: 2rem;
            color: white;
            background: #1aaa55;
            border-radius: 3px;
            text-decoration: none;
        }

        .box a:hover{
            background-color: #168f48;
        }
    </style>
</head>
<body>
    <div class="box">
        <h1>Gitlab credentials retrieval</h1>
        <p>This is your unique <b>default</b> Gitlab credentials for the MOOC Recherche Reproductible.</p>
        <p><b>Warning : </b> if you have changed your password using Gitlab password reset, the following may not be valid anymore and certain Jupyter functionnalities may not work.</p>
        <label for="login">
            <span>Your login : </span>
            <input type="text" value="{{ username }}" id="login" readonly/>
        </label>
        <label for="password">
            <span>Your password : </span>
            <input type="text" value="{{ password }}" id="password" readonly/>
        </label>
        <a href="/moocrr/gitlab" title="Go to Gitlab">Go to Gitlab</a>
    </div>
</body>
</html>